# Generated from pictaculous-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pictaculous

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Ruby gem for interacting with the Pictaculous API
License: MIT
URL: http://github.com/tatemae-consultancy/pictaculous.git
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby
# BuildRequires: rubygem(fakeweb)
# BuildRequires: rubygem(rspec)
BuildArch: noarch

%description
Ruby gem for interacting with the Pictaculous API. Upload an image and receive
a matching color pallete as JSON.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rvmrc
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_instdir}/rails
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/pictaculous.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.1-1
- Initial package
